[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: phpmyid

El Thursday 28 August 2008 22:07:55 Michal Čihař escribió:
> Hi
> Dne Thu, 28 Aug 2008 15:04:15 +0200
> Andreas Schildbach <andreas@schildbach.de> napsal(a):
> > I have uploaded a fixed package to mentors.debian.net.
> - why have you kept configure-stamp target? also remove configure
> from .PHONY
> - what is reason for commented out dh_* command in debian/rules
> > > - also license information in debian/copyright does not seem to be
> > > sufficient, you should be more detailed (or use new machine readable
> > > format, see http://wiki.debian.org/Proposals/CopyrightFormat)
> > 
> > Thanks a lot for this pointer. I've completely rewritten the copyright
> > file. One question though: Do I actually have to include the license
> > text for popular licenses? (in this case: GPL-any)
> Why do you use some random older revision of proposal? Yes you should
> include something like:
> License-Terms: GPL-2
>  On Debian and Debian-based systems, a copy of the GNU General Public
>  License version 2 is available in /usr/share/common-licenses/GPL-2.
> If you would use lintian, you would find it:
> $ lintian -I phpmyid_0.9-1_i386.changes 
> I: phpmyid source: package-lacks-versioned-build-depends-on-debhelper 7
> E: phpmyid: copyright-should-refer-to-common-license-file-for-gpl
> (It shows also another problem in your package - mismatch between
> debian/compat and debhelper build dependency).

GPL-any means GPL-1 and so GPL-1 must be included complete and verbatim, since it is not installed by default in Debian systems. Unless you have explicit permission to use GPL version 1 _or any later version_ which menas you can use GPL-2. If you can do that, please do.

I've encountered the same with wmaker-data :(

Noel Torres
er Envite

Attachment: signature.asc
Description: This is a digitally signed message part.

Reply to: